// 	Interleave.h
//
//	All the routine prototypes for use in the various source files.


// These are the data structures that the library uses in order to decipher 
//	whether the ram is interleaved or not.  These must match in the calling
//	program of course.  Probably could use a common header file.

struct RAMBankDescriptor {
	UInt32		bankSize;						// bank size in Megabytes.
	Boolean		bankIsInterleaved;				// if the bank is interleaved, or not.
};
typedef struct RAMBankDescriptor RAMBankDescriptor;
typedef RAMBankDescriptor* RAMBankDescriptorPtr;


OSErr 	GetPhysicalRAMBankInfo(RAMBankDescriptorPtr  theBanks, 
				UInt32  fullMemSize, Ptr  hammerHeadBase);


OSStatus FindHammerHead(void* hammerHeadAddress);
